<?
/*
=======================================
Обсуждения для Dcms-Social
Автор: Искатель
---------------------------------------
Этот скрипт распостроняется по лицензии
движка Dcms-Social. 
При использовании указывать ссылку на
оф. сайт http://dcms-social.ru
---------------------------------------
Контакты
ICQ: 587863132
http://dcms-social.ru
=======================================
*/
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
$ank=get_user($ank['id']);
if(!$ank || $ank['id']==0){header("Location: /index.php?".SID);exit;}
only_reg();






$frend = mysql_fetch_array(mysql_query("SELECT * FROM `frends` WHERE `user` = '".$user['id']."' AND `frend` = '$ank[id]' AND `i` = '1'"));

if (isset($_POST['save'])){
 // Обсуждения фото
if (isset($_POST['disc_foto']) && ($_POST['disc_foto']==0 || $_POST['disc_foto']==1))
{
mysql_query("UPDATE `frends` SET `disc_foto` = '".intval($_POST['disc_foto'])."' WHERE `user` = '$user[id]' AND `frend` = '$ank[id]'");
}
 // Обсуждения файлов
if (isset($_POST['disc_obmen']) && ($_POST['disc_obmen']==0 || $_POST['disc_obmen']==1))
{
mysql_query("UPDATE `frends` SET `disc_obmen` = '".intval($_POST['disc_obmen'])."' WHERE `user` = '$user[id]' AND `frend` = '$ank[id]'");
}
 // Обсуждения статусов
if (isset($_POST['disc_status']) && ($_POST['disc_status']==0 || $_POST['disc_status']==1))
{
mysql_query("UPDATE `frends` SET `disc_status` = '".intval($_POST['disc_status'])."' WHERE `user` = '$user[id]' AND `frend` = '$ank[id]'");
}
 // Обсуждения дневников
if (isset($_POST['disc_notes']) && ($_POST['disc_notes']==0 || $_POST['disc_notes']==1))
{
mysql_query("UPDATE `frends` SET `disc_notes` = '".intval($_POST['disc_notes'])."' WHERE `user` = '$user[id]' AND `frend` = '$ank[id]'");
}
 // Обсуждения форум
if (isset($_POST['disc_forum']) && ($_POST['disc_forum']==0 || $_POST['disc_forum']==1))
{
mysql_query("UPDATE `frends` SET `disc_forum` = '".intval($_POST['disc_forum'])."' WHERE `user` = '$user[id]' AND `frend` = '$ank[id]'");
}


$_SESSION['message'] = 'Изменения успешно приняты';
header('Location: index.php');
exit;
}

$set['title']='Настройка ленты для '.$ank['nick'];
include_once '../../sys/inc/thead.php';
title();

err();
aut();

echo "<div id='comments' class='menus'>";
echo "<div class='webmenu'>";
echo "<a href='index.php'>Обсуждения</a>";
echo "</div>"; 
echo "<div class='webmenu'>";
echo "<a href='settings.php'>Настройки</a>";
echo "</div>"; 
echo "</div>";


echo "<form action='?id=$ank[id]' method=\"post\">";

 // Обсуждения Дневников
echo "<div class='mess'>";
echo "Уведомления о обсуждениях в дневниках $ank[nick].";
echo "</div>";

echo "<div class='nav1'>";
echo "<input name='disc_notes' type='radio' ".($frend['disc_notes']==1?' checked="checked"':null)." value='1' /> Да ";
echo "<input name='disc_notes' type='radio' ".($frend['disc_notes']==0?' checked="checked"':null)." value='0' /> Нет ";
echo "</div>";

 // Обсуждения Форума
echo "<div class='mess'>";
echo "Уведомления о обсуждениях в темах $ank[nick] в форуме.";
echo "</div>";

echo "<div class='nav1'>";
echo "<input name='disc_forum' type='radio' ".($frend['disc_forum']==1?' checked="checked"':null)." value='1' /> Да ";
echo "<input name='disc_forum' type='radio' ".($frend['disc_forum']==0?' checked="checked"':null)." value='0' /> Нет ";
echo "</div>";

 // Обсуждения фото
echo "<div class='mess'>";
echo "Уведомления о обсуждениях в фото $ank[nick].";
echo "</div>";

echo "<div class='nav1'>";
echo "<input name='disc_foto' type='radio' ".($frend['disc_foto']==1?' checked="checked"':null)." value='1' /> Да ";
echo "<input name='disc_foto' type='radio' ".($frend['disc_foto']==0?' checked="checked"':null)." value='0' /> Нет ";
echo "</div>";

 // Обсуждения файлов
echo "<div class='mess'>";
echo "Уведомления о обсуждениях в файлах $ank[nick].";
echo "</div>";

echo "<div class='nav1'>";
echo "<input name='disc_obmen' type='radio' ".($frend['disc_obmen']==1?' checked="checked"':null)." value='1' /> Да ";
echo "<input name='disc_obmen' type='radio' ".($frend['disc_obmen']==0?' checked="checked"':null)." value='0' /> Нет ";
echo "</div>";

 // Обсуждения статусов
echo "<div class='mess'>";
echo "Уведомления о обсуждениях в статусах $ank[nick].";
echo "</div>";

echo "<div class='nav1'>";
echo "<input name='disc_status' type='radio' ".($frend['disc_status']==1?' checked="checked"':null)." value='1' /> Да ";
echo "<input name='disc_status' type='radio' ".($frend['disc_status']==0?' checked="checked"':null)." value='0' /> Нет ";
echo "</div>";

echo "<div class='main'>";
echo "<input type='submit' name='save' value='Сохранить' />";
echo "</div>";

echo "</form>";


	
include_once '../../sys/inc/tfoot.php';
?>